#
# spec file for package python-covdefaults
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-covdefaults
Version:        2.3.0
Release:        3.1
Summary:        Python coverage plugin to provide default settings
License:        MIT
URL:            https://github.com/asottile/covdefaults
Source:         https://github.com/asottile/covdefaults/archive/v%{version}.tar.gz#/covdefaults-%{version}.tar.gz
# PATCH-FIX-UPSTREAM gh#asottile/covdefaults#164
Patch0:         support-coverage-7.7.patch
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-coverage
BuildArch:      noarch
%python_subpackages

%description
Python coverage plugin to provide default settings.

%prep
%autosetup -p1 -n covdefaults-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m coverage run -m pytest -v

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/covdefaults.py
%pycache_only %{python_sitelib}/__pycache__/covdefaults.*.pyc
%{python_sitelib}/covdefaults-%{version}.dist-info

%changelog
* Mon Mar 31 2025 Steve Kowalik <steven.kowalik@suse.com>
- Add patch support-coverage-7.7.patch:
  * Support Coverage 7.7.0 and above changes with plugins.
- Switch to autosetup and pyproject macros.
- No more greedy globs in %%files.
* Sun Jun 11 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Mar 14 2023 Dirk Müller <dmueller@suse.com>
- update to 2.3.0:
  * Add assert_never to coverage ignore rules
* Wed Dec  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to v2.2.2
  * Merge pull request #97 from sobolevn/patch-1
  * Do not report class level `if TYPE_CHECKING` as uncovered
- Update to v2.2.1
  * A coverage plugin to provide sensible default settings
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to v2.2.0
  No log
* Tue Aug 18 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.1.0
